petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMGetLabel

Return the label of a given name, or NULL

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetLabel(DM dm, const char name[], DMLabel *label)

Not Collective

### Input Parameters

| dm | - The DM object
| name | - The label name

### Output Parameter

label -The DMLabel, or NULL if the label is absent

### Keywords

mesh

### See Also

DMCreateLabel(), DMHasLabel(), DMGetLabelValue(), DMSetLabelValue(), DMGetStratumIS()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/dm/impls/plex/examples/tutorials/ex2.c.html
src/dm/impls/plex/examples/tutorials/ex1f90.F90.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages